if(!isObject(itemSwing1))
{
	datablock AudioProfile(itemSwing1)
	{
		filename = "Add-Ons/GameMode_BlockScape/res/sounds/swing1.wav";
		description = AudioClosest3d;
		preload = true;
	};
	
	datablock AudioProfile(itemSwing2 : itemSwing1)
	{
		filename = "Add-Ons/GameMode_BlockScape/res/sounds/swing2.wav";
	};
	
	datablock AudioProfile(itemSwing3 : itemSwing1)
	{
		filename = "Add-Ons/GameMode_BlockScape/res/sounds/swing3.wav";
	};
}

if(!isObject(pickaxeHit1))
{
	datablock AudioProfile(pickaxeHit1)
	{
		filename = "Add-Ons/GameMode_BlockScape/res/sounds/pickaxeHit1.wav";
		description = AudioClosest3d;
		preload = true;
	};
	
	datablock AudioProfile(pickaxeHit2 : pickaxeHit1)
	{
		filename = "Add-Ons/GameMode_BlockScape/res/sounds/pickaxeHit2.wav";
	};
	
	datablock AudioProfile(pickaxeHit3 : pickaxeHit1)
	{
		filename = "Add-Ons/GameMode_BlockScape/res/sounds/pickaxeHit3.wav";
	};
	
	datablock AudioProfile(pickaxeHit4 : pickaxeHit1)
	{
		filename = "Add-Ons/GameMode_BlockScape/res/sounds/pickaxeHit4.wav";
	};
}

if(!isObject(blockscapeUpgradeSound))
{
	datablock AudioProfile(blockscapeUpgradeSound)
	{
		filename = "Add-Ons/GameMode_BlockScape/res/sounds/upgrade.wav";
		description = AudioClosest3d;
		preload = true;
	};
	
	datablock AudioProfile(blockscapeSpawnSound : blockscapeUpgradeSound)
	{
		filename = "Add-Ons/GameMode_BlockScape/res/sounds/spawn.wav";
	};
	
	datablock AudioProfile(terrainPlantSound : blockscapeUpgradeSound)
	{
		filename = "Add-Ons/GameMode_BlockScape/res/sounds/planted-terrain.wav";
	};
	
	datablock AudioProfile(chunkPlantSound : blockscapeUpgradeSound)
	{
		filename = "Add-Ons/GameMode_BlockScape/res/sounds/planted-chunk.wav";
	};
}

if(!isObject(treeTimberSound))
{
	datablock AudioProfile(treeTimberSound)
	{
		filename = "Add-Ons/GameMode_BlockScape/res/sounds/timber.wav";
		description = AudioClosest3d;
		preload = true;
	};
	
	datablock AudioProfile(leavesHitSound : treeTimberSound)
	{
		filename = "Add-Ons/GameMode_BlockScape/res/sounds/leaves.wav";
	};
}

function doSoundOverwrites()
{
	spawnExplosionSound.filename = "";
	swordExplosion.soundProfile = "";
}

schedule(100, 0, doSoundOverwrites);